Page MenuHomePhabricator

MediaWiki:Echo-specialmute-label-mute-notifications and MediaWiki:Specialmute-label-mute-email need gender mark
Closed, ResolvedPublic

Description

In order to create correct translations of the messages MediaWiki:Echo-specialmute-label-mute-notifications and MediaWiki:Specialmute-label-mute-email, the text "this user" needs a gender mark (so we can write, for example, "este usuario"/"esta usuaria" in Spanish) .

Event Timeline

-jem- created this task.May 2 2020, 11:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2020, 11:40 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 2 2020, 11:45 PM
-jem- triaged this task as Medium priority.May 2 2020, 11:50 PM
DannyS712 moved this task from Untriaged to Gender on the I18n board.May 2 2020, 11:57 PM
DannyS712 added a project: Gender-Support.

Change 594155 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Add gender support for Mute label message

https://gerrit.wikimedia.org/r/594155

Change 594158 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Echo@master] Echo: Add gender support for Mute user label

https://gerrit.wikimedia.org/r/594158

Ammarpad claimed this task.May 4 2020, 12:55 PM

Change 594155 merged by jenkins-bot:
[mediawiki/core@master] Add gender support for Mute label message

https://gerrit.wikimedia.org/r/594155

Change 594158 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Echo: Add gender support for Mute user label

https://gerrit.wikimedia.org/r/594158

Change 607757 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Echo@master] Don't make unchecked method call on object that might be null

https://gerrit.wikimedia.org/r/607757

Change 607757 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Don't make unchecked method call on object that might be null

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/ /607757

Ammarpad closed this task as Resolved.Jul 1 2020, 4:32 PM